Bug 33181 - Cubemap demo regression since r600g: implement replacing gpr with pv and ps
Summary: Cubemap demo regression since r600g: implement replacing gpr with pv and ps
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-16 03:41 UTC by Andy Furniss
Modified: 2011-01-31 03:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Furniss 2011-01-16 03:41:59 UTC
RV790, d-r-t kernel, git ddx and mesa.

Only tested with tiling and vsync(s) off.

Mesa demo cubemap does not render properly with r600g bisect came up with -

eea1d8199b376f37027c14669e0bdf991a22872d is first bad commit
commit eea1d8199b376f37027c14669e0bdf991a22872d
Author: Christian König <deathsimple@vodafone.de>
Date:   Sat Dec 18 21:32:16 2010 +0100

    r600g: implement replacing gpr with pv and ps
Comment 1 Jos van Wolput 2011-01-16 20:37:54 UTC
(In reply to comment #0)

Demo objviewer too showing regression, mountains are not rendered properly.
Comment 2 Dave Airlie 2011-01-30 19:13:09 UTC
should be fixed in mesa master now.
Comment 3 Jos van Wolput 2011-01-30 20:20:55 UTC
(In reply to comment #2)
> should be fixed in mesa master now.

I tested cubemap and objviewer in mesa master.
Fixed, thanks!
Comment 4 Andy Furniss 2011-01-31 03:03:07 UTC
(In reply to comment #2)
> should be fixed in mesa master now.

Yep, fixed now, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.